<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="midia">
            <h2><span jhiTranslate="locadoraApp.midia.detail.title">Midia</span> {{midia.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="locadoraApp.midia.idioma">Idioma</span></dt>
                <dd>
                    <span jhiTranslate="{{'locadoraApp.IdiomaFilme.' + midia.idioma}}">{{midia.idioma}}</span>
                </dd>
                <dt><span jhiTranslate="locadoraApp.midia.tipo">Tipo</span></dt>
                <dd>
                    <span jhiTranslate="{{'locadoraApp.TipoMidia.' + midia.tipo}}">{{midia.tipo}}</span>
                </dd>
                <dt><span jhiTranslate="locadoraApp.midia.statusMidia">Status Midia</span></dt>
                <dd>
                    <span jhiTranslate="{{'locadoraApp.StatusMidia.' + midia.statusMidia}}">{{midia.statusMidia}}</span>
                </dd>
                <dt><span jhiTranslate="locadoraApp.midia.filme">Filme</span></dt>
                <dd>
                    <span *ngFor="let filme of midia.filmes; let last = last">
                        <a [routerLink]="['/filme', filme?.id, 'view' ]">{{filme.id}}</a>{{last ? '' : ', '}}
                    </span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/midia', midia.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
